---
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

bases:
- ../../base

commonLabels:
  app.kubernetes.io/instance: argocd

patchesStrategicMerge:
- applications.yaml

patchesJson6902:
  - path: hostname.yaml
    target:
      group: networking.k8s.io
      kind: Ingress
      name: argocd-server-ingress
      version: v1

patches:
- target:
    kind: Deployment
  patch: |-
    - op: add
      path: /spec/template/spec/nodeSelector
      value:
        workload: infra
- target:
    kind: StatefulSet
  patch: |-
    - op: add
      path: /spec/template/spec/nodeSelector
      value:
        workload: infra